Bug 455073 - Tooltips aren't disabled when systemwide tooltip visibility setting is turned off
Summary: Tooltips aren't disabled when systemwide tooltip visibility setting is turned...
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: general (show other bugs)
Version: 5.24.5
Platform: Kubuntu Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-06-09 10:59 UTC by Myriam Schweingruber
Modified: 2022-06-24 17:46 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Myriam Schweingruber 2022-06-09 10:59:15 UTC
As said in the title, there is no way to disable the tooltips showing when hovering on the left side menu.

See also https://forum.kde.org/viewtopic.php?f=17&t=175147
Comment 1 Nate Graham 2022-06-09 17:03:50 UTC
It's intentional that there's no "disable tooltips" setting that only affects System Settings; that would be overkill since other apps don't generally have this.

However there is a systemwide setting to disable tooltips that isn't respected here. Fixing that is reasonable.
Comment 2 Bug Janitor Service 2022-06-23 14:24:01 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/systemsettings/-/merge_requests/153
Comment 3 Nate Graham 2022-06-24 17:33:37 UTC
Git commit bfe632e97a851540509fb2f54af21ea0511b46e6 by Nate Graham, on behalf of Anthony Hung.
Committed on 24/06/2022 at 17:33.
Pushed by ngraham into branch 'master'.

Make sidebar tooltips respect the "Display informational tooltips" global setting
FIXED-IN: 5.24.6

M  +33   -0    sidebar/ToolTips/tooltipmanager.cpp
M  +2    -0    sidebar/ToolTips/tooltipmanager.h

https://invent.kde.org/plasma/systemsettings/commit/bfe632e97a851540509fb2f54af21ea0511b46e6
Comment 4 Nate Graham 2022-06-24 17:45:52 UTC
Git commit aa827bd682b33b54828b8520b458a5b4a13c27c8 by Nate Graham, on behalf of Anthony Hung.
Committed on 24/06/2022 at 17:45.
Pushed by ngraham into branch 'Plasma/5.25'.

Make sidebar tooltips respect the "Display informational tooltips" global setting
FIXED-IN: 5.24.6


(cherry picked from commit bfe632e97a851540509fb2f54af21ea0511b46e6)

M  +33   -0    sidebar/ToolTips/tooltipmanager.cpp
M  +2    -0    sidebar/ToolTips/tooltipmanager.h

https://invent.kde.org/plasma/systemsettings/commit/aa827bd682b33b54828b8520b458a5b4a13c27c8
Comment 5 Nate Graham 2022-06-24 17:46:02 UTC
Git commit 62de371709b847a5a6e8d96be55e12ac9e2e4170 by Nate Graham, on behalf of Anthony Hung.
Committed on 24/06/2022 at 17:45.
Pushed by ngraham into branch 'Plasma/5.24'.

Make sidebar tooltips respect the "Display informational tooltips" global setting
FIXED-IN: 5.24.6


(cherry picked from commit bfe632e97a851540509fb2f54af21ea0511b46e6)

M  +33   -0    sidebar/ToolTips/tooltipmanager.cpp
M  +2    -0    sidebar/ToolTips/tooltipmanager.h

https://invent.kde.org/plasma/systemsettings/commit/62de371709b847a5a6e8d96be55e12ac9e2e4170